/*
	Bt848GUID.h: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef __BT848GUID_H
#define __BT848GUID_H

//{C44A1A1f-0A38-11D2-8328-006097BA83AB}
GUID PROPSETID_CUSTOMBT848 =
    {0xC44A1A1f, 0x0A38, 0x11D2, {0x83, 0x28, 0x00, 0x60, 0x97, 0xBA, 0x83, 0xAB}};

//{C44A1A10-2A38-11D2-8328-006097BA83AB}
GUID PROPSETID_AUDIO =
    {0xC44A1A10, 0x2A38, 0x11D2, {0x83, 0x28, 0x00, 0x60, 0x97, 0xBA, 0x83, 0xAB}};

//{C44A1A10-4A38-11D2-8328-006097BA83AB}
GUID PROPSETID_IR =
	{0xC44A1A10, 0x4A38, 0x11D2, {0x83, 0x28, 0x00, 0x60, 0x97, 0xBA, 0x83, 0xAB}};

//{C44A1A10-6A38-11D2-8328-006097BA83AB}
GUID PROPSETID_VIDEOWINDOW =
	{0xC44A1A10, 0x6A38, 0x11D2, {0x83, 0x28, 0x00, 0x60, 0x97, 0xBA, 0x83, 0xAB}};

#endif	// __BT848GUID_H

