/*
	GVBCTV3.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _WinFast2000_HPP_
#define _WinFast2000_HPP_

#include "GPIOAudio.hpp"

class WinFast2000 : public GPIOAudio {

	public:

		WinFast2000(GPIO& bus) : 
		  GPIOAudio(bus,0x430000,0x020000,0x420000,0x410000) {} // WinFast2000

};

#endif
